## org.apache.axis.ime
Interface MessageExchangeFactory

All Known Implementing Classes:
  MessageExchangeProvider

public interface MessageExchangeFactory

Author:
  James M Snell (jasnell@us.ibm.com)

Method Summary
`MessageExchange` `createMessageExchange()`
`MessageExchange` `createMessageExchange(java.util.Hashtable options)`

Method Detail

### createMessageExchange

    public MessageExchange createMessageExchange()
                                          throws AxisFault

  Returns:
    MessageExchange
  Throws:
    `AxisFault`

### createMessageExchange

    public MessageExchange createMessageExchange(java.util.Hashtable options)
                                          throws AxisFault

  Returns:
    ConfigurableMessageExchange
    `AxisFault`

Copyright © 2003 Apache Web Services Project. All Rights Reserved.